VTK: vtkHyperTreeGridNonOrientedGeometryCursor Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkHyperTreeGridNonOrientedGeometryCursor Class Reference

Objects for traversal a HyperTreeGrid. More...

`#include <vtkHyperTreeGridNonOrientedGeometryCursor.h>`

Inheritance diagram for vtkHyperTreeGridNonOrientedGeometryCursor:
[legend]
Collaboration diagram for vtkHyperTreeGridNonOrientedGeometryCursor:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkHyperTreeGridNonOrientedGeometryCursor * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Dump (ostream &os)
virtual vtkHyperTreeGridNonOrientedGeometryCursor * | Clone ()
| Create a copy of ‘this’. More...
void | Initialize (vtkHyperTreeGrid *grid, vtkIdType treeIndex, bool create=false)
| Initialize cursor at root of given tree index in grid. More...
void | Initialize (vtkHyperTreeGrid *grid, vtkHyperTree *tree, unsigned int level, vtkHyperTreeGridGeometryEntry &entry)
| Initialize cursor at root of given tree index in grid. More...
void | Initialize (vtkHyperTreeGrid *grid, vtkHyperTree *tree, unsigned int level, vtkIdType index, double *origin)
| JB. More...
void | Initialize (vtkHyperTreeGridNonOrientedGeometryCursor *cursor)
| JB. More...
vtkIdType | GetVertexId ()
| Return the index of the current vertex in the tree. More...
vtkIdType | GetGlobalNodeIndex ()
| Return the global index (relative to the grid) of the current vertex in the tree. More...
unsigned char | GetDimension ()
| Return the dimension of the tree. More...
unsigned char | GetNumberOfChildren ()
| Return the number of children for each node (non-vertex leaf) of the tree. More...
void | SetGlobalIndexStart (vtkIdType index)
| JB. More...
void | SetGlobalIndexFromLocal (vtkIdType index)
| JB. More...
double * | GetOrigin ()
| JB. More...
double * | GetSize ()
void | GetBounds (double bounds[6])
| JB. More...
void | GetPoint (double point[3])
void | SetMask (bool state)
| Set the blanking mask is empty or not. More...
bool | IsMasked ()
| Determine whether blanking mask is empty or not. More...
bool | IsLeaf ()
| Is the cursor pointing to a leaf? More...
void | SubdivideLeaf ()
| JB Fait chier normalement on devrait passer par GetEntry. More...
bool | IsRoot ()
| Is the cursor at tree root? More...
unsigned int | GetLevel ()
| Get the level of the tree vertex pointed by the cursor. More...
void | ToChild (unsigned char ichild)
| Move the cursor to child ‘child’ of the current vertex. More...
void | ToRoot ()
| Move the cursor to the root vertex. More...
void | ToParent ()
| Move the cursor to the parent of the current vertex. More...
vtkSmartPointer< vtkHyperTreeGridOrientedGeometryCursor > | GetHyperTreeGridOrientedGeometryCursor (vtkHyperTreeGrid *grid)
| JB Create a vtkHyperTreeGridOrientedGeometryCursor from input grid and current entry data. More...
bool | HasTree () const
| Return if a Tree pointing exist. More...
vtkHyperTree * | GetTree () const
| Set the hyper tree to which the cursor is pointing. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkHyperTreeGridNonOrientedGeometryCursor * | SafeDownCast (vtkObjectBase *o)
static vtkHyperTreeGridNonOrientedGeometryCursor * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkHyperTreeGridNonOrientedGeometryCursor ()
| Constructor JB Just pour vtkHyperTreeGridNonOrientedVonNeumannSuperCursor et Moore. More...
| ~vtkHyperTreeGridNonOrientedGeometryCursor () override
| Destructor JB Just pour vtkHyperTreeGridNonOrientedVonNeumannSuperCursor et Moore. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkHyperTreeGrid * | Grid
| JB Reference sur l'hyper tree grid parcouru actuellement. More...
vtkHyperTree * | Tree
| JB. More...
std::shared_ptr< vtkHyperTreeGridScales > | Scales
| JB Storage of pre-computed per-level cell scales. More...
unsigned int | Level
| JB. More...
int | LastValidEntry
| JB La derniere entree valide. More...
std::vector< vtkHyperTreeGridGeometryEntry > | Entries
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Objects for traversal a HyperTreeGrid.

JB A REVOIR NonOriented ne peut pas remonter plus haut qu'a sa creation. Objects that can perform depth traversal of a hyper tree grid, take into account more parameters (related to the grid structure) than the compact hyper tree cursor implemented in vtkHyperTree can. This is an abstract class. Cursors are created by the HyperTreeGrid implementation.

Geometry cursors allow to retrieve origin, size, bounds and central points

See also
  vtkHyperTreeCursor vtkHyperTree vtkHyperTreeGrid

Thanks:
  This class was written by Guenole Harel and Jacques-Bernard Lekien, 2014. This class was re-written by Philippe Pebay, 2016. JB This class was re-written for more optimisation by Jacques-Bernard Lekien, Guenole Harel and Jerome Dubois, 2018. This work was supported by Commissariat a l'Energie Atomique CEA, DAM, DIF, F-91297 Arpajon, France.

Tests:
  vtkHyperTreeGridNonOrientedGeometryCursor (Tests)

Definition at line 51 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkHyperTreeGridNonOrientedGeometryCursor::Superclass

Definition at line 54 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## Constructor & Destructor Documentation

## ◆ vtkHyperTreeGridNonOrientedGeometryCursor()

vtkHyperTreeGridNonOrientedGeometryCursor::vtkHyperTreeGridNonOrientedGeometryCursor | ( |  | ) |
| protected

Constructor JB Just pour vtkHyperTreeGridNonOrientedVonNeumannSuperCursor et Moore.

## ◆ ~vtkHyperTreeGridNonOrientedGeometryCursor()

vtkHyperTreeGridNonOrientedGeometryCursor::~vtkHyperTreeGridNonOrientedGeometryCursor | ( |  | ) |
| overrideprotected

Destructor JB Just pour vtkHyperTreeGridNonOrientedVonNeumannSuperCursor et Moore.

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkHyperTreeGridNonOrientedGeometryCursor::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkHyperTreeGridNonOrientedGeometryCursor::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkHyperTreeGridNonOrientedGeometryCursor* vtkHyperTreeGridNonOrientedGeometryCursor::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkHyperTreeGridNonOrientedGeometryCursor::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkHyperTreeGridNonOrientedGeometryCursor* vtkHyperTreeGridNonOrientedGeometryCursor::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkHyperTreeGridNonOrientedGeometryCursor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkHyperTreeGridNonOrientedGeometryCursor* vtkHyperTreeGridNonOrientedGeometryCursor::New | ( |  | ) |
| static

## ◆ Dump()

void vtkHyperTreeGridNonOrientedGeometryCursor::Dump | ( | ostream & | os | ) |

## ◆ Clone()

virtual vtkHyperTreeGridNonOrientedGeometryCursor* vtkHyperTreeGridNonOrientedGeometryCursor::Clone | ( |  | ) |
| virtual

Create a copy of ‘this’.

Postcondition
  results_exists:result!=0

## ◆ Initialize() [1/4]

void vtkHyperTreeGridNonOrientedGeometryCursor::Initialize | ( | vtkHyperTreeGrid * | grid,
|  | vtkIdType | treeIndex,
|  | bool | create = `false`
| ) |  |

Initialize cursor at root of given tree index in grid.

## ◆ Initialize() [2/4]

void vtkHyperTreeGridNonOrientedGeometryCursor::Initialize | ( | vtkHyperTreeGrid * | grid,
|  | vtkHyperTree * | tree,
|  | unsigned int | level,
|  | vtkHyperTreeGridGeometryEntry & | entry
| ) |  |

Initialize cursor at root of given tree index in grid.

## ◆ Initialize() [3/4]

void vtkHyperTreeGridNonOrientedGeometryCursor::Initialize | ( | vtkHyperTreeGrid * | grid,
|  | vtkHyperTree * | tree,
|  | unsigned int | level,
|  | vtkIdType | index,
|  | double * | origin
| ) |  |

JB.

## ◆ Initialize() [4/4]

void vtkHyperTreeGridNonOrientedGeometryCursor::Initialize | ( | vtkHyperTreeGridNonOrientedGeometryCursor * | cursor | ) |

JB.

## ◆ HasTree()

bool vtkHyperTreeGridNonOrientedGeometryCursor::HasTree | ( |  | ) | const
| inline

Return if a Tree pointing exist.

Definition at line 95 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ GetTree()

vtkHyperTree* vtkHyperTreeGridNonOrientedGeometryCursor::GetTree | ( |  | ) | const
| inline

Set the hyper tree to which the cursor is pointing.

Definition at line 102 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ GetVertexId()

vtkIdType vtkHyperTreeGridNonOrientedGeometryCursor::GetVertexId | ( |  | ) |

Return the index of the current vertex in the tree.

## ◆ GetGlobalNodeIndex()

vtkIdType vtkHyperTreeGridNonOrientedGeometryCursor::GetGlobalNodeIndex | ( |  | ) |

Return the global index (relative to the grid) of the current vertex in the tree.

## ◆ GetDimension()

unsigned char vtkHyperTreeGridNonOrientedGeometryCursor::GetDimension | ( |  | ) |

Return the dimension of the tree.

Postcondition
  positive_result: result>0

## ◆ GetNumberOfChildren()

unsigned char vtkHyperTreeGridNonOrientedGeometryCursor::GetNumberOfChildren | ( |  | ) |

Return the number of children for each node (non-vertex leaf) of the tree.

Postcondition
  positive_number: result>0

## ◆ SetGlobalIndexStart()

void vtkHyperTreeGridNonOrientedGeometryCursor::SetGlobalIndexStart | ( | vtkIdType | index | ) |

JB.

## ◆ SetGlobalIndexFromLocal()

void vtkHyperTreeGridNonOrientedGeometryCursor::SetGlobalIndexFromLocal | ( | vtkIdType | index | ) |

JB.

## ◆ GetOrigin()

double* vtkHyperTreeGridNonOrientedGeometryCursor::GetOrigin | ( |  | ) |

JB.

## ◆ GetSize()

double* vtkHyperTreeGridNonOrientedGeometryCursor::GetSize | ( |  | ) |

## ◆ GetBounds()

void vtkHyperTreeGridNonOrientedGeometryCursor::GetBounds | ( | double | bounds[6] | ) |

JB.

## ◆ GetPoint()

void vtkHyperTreeGridNonOrientedGeometryCursor::GetPoint | ( | double | point[3] | ) |

## ◆ SetMask()

void vtkHyperTreeGridNonOrientedGeometryCursor::SetMask | ( | bool | state | ) |

Set the blanking mask is empty or not.

Precondition
  not_tree: tree

## ◆ IsMasked()

bool vtkHyperTreeGridNonOrientedGeometryCursor::IsMasked | ( |  | ) |

Determine whether blanking mask is empty or not.

## ◆ IsLeaf()

bool vtkHyperTreeGridNonOrientedGeometryCursor::IsLeaf | ( |  | ) |

Is the cursor pointing to a leaf?

## ◆ SubdivideLeaf()

void vtkHyperTreeGridNonOrientedGeometryCursor::SubdivideLeaf | ( |  | ) |

JB Fait chier normalement on devrait passer par GetEntry.

## ◆ IsRoot()

bool vtkHyperTreeGridNonOrientedGeometryCursor::IsRoot | ( |  | ) |

Is the cursor at tree root?

## ◆ GetLevel()

unsigned int vtkHyperTreeGridNonOrientedGeometryCursor::GetLevel | ( |  | ) |

Get the level of the tree vertex pointed by the cursor.

## ◆ ToChild()

void vtkHyperTreeGridNonOrientedGeometryCursor::ToChild | ( | unsigned char | ichild | ) |

Move the cursor to child ‘child’ of the current vertex.

Precondition
  not_tree: HasTree()
  not_leaf: !IsLeaf()
  valid_child: ichild>=0 && ichild<GetNumberOfChildren()
  depth_limiter: GetLevel() <= GetDepthLimiter()

## ◆ ToRoot()

void vtkHyperTreeGridNonOrientedGeometryCursor::ToRoot | ( |  | ) |

Move the cursor to the root vertex.

Precondition
  can be root

Postcondition
  is_root: IsRoot()

## ◆ ToParent()

void vtkHyperTreeGridNonOrientedGeometryCursor::ToParent | ( |  | ) |

Move the cursor to the parent of the current vertex.

Authorized if HasHistory return true.

Precondition
  Non_root: !IsRoot()

## ◆ GetHyperTreeGridOrientedGeometryCursor()

vtkSmartPointer<vtkHyperTreeGridOrientedGeometryCursor> vtkHyperTreeGridNonOrientedGeometryCursor::GetHyperTreeGridOrientedGeometryCursor | ( | vtkHyperTreeGrid * | grid | ) |

JB Create a vtkHyperTreeGridOrientedGeometryCursor from input grid and current entry data.

## Member Data Documentation

## ◆ Grid

vtkHyperTreeGrid* vtkHyperTreeGridNonOrientedGeometryCursor::Grid
| protected

JB Reference sur l'hyper tree grid parcouru actuellement.

Definition at line 227 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ Tree

vtkHyperTree* vtkHyperTreeGridNonOrientedGeometryCursor::Tree
| protected

JB.

Definition at line 232 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ Scales

std::shared_ptr<vtkHyperTreeGridScales> vtkHyperTreeGridNonOrientedGeometryCursor::Scales
| protected

JB Storage of pre-computed per-level cell scales.

Definition at line 237 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ Level

unsigned int vtkHyperTreeGridNonOrientedGeometryCursor::Level
| protected

JB.

Definition at line 242 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ LastValidEntry

int vtkHyperTreeGridNonOrientedGeometryCursor::LastValidEntry
| protected

JB La derniere entree valide.

Definition at line 247 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

## ◆ Entries

std::vector<vtkHyperTreeGridGeometryEntry> vtkHyperTreeGridNonOrientedGeometryCursor::Entries
| protected

Definition at line 250 of file vtkHyperTreeGridNonOrientedGeometryCursor.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkHyperTreeGridNonOrientedGeometryCursor.h